## org.metaabm.act.validation
Interface ASinkValidator

    public interface ASinkValidator

A sample validator interface for `ASink`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateFunction(FFunction value)`
`boolean` `validateInputs(org.eclipse.emf.common.util.EList<AInput> value)`

Method Detail

### validate

    boolean validate()

### validateInputs

    boolean validateInputs(org.eclipse.emf.common.util.EList<AInput> value)

### validateFunction

    boolean validateFunction(FFunction value)